<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require_once('../config/Conexion.php');

Class CategoriaIngreso
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$descripcion,$folio,$archivador,$condicion,$equivalencia) {


        $sql = "INSERT INTO categoria_ingreso(nombre,descripcion,archivador,folio,condicion,equivalencia) 
                VALUES ('$nombre','$descripcion','$archivador','$folio','$condicion','$equivalencia')";
        return ejecutarConsulta($sql);
    }
    
    public function insertar_ingreso($idusuario,$idcaja,$idcategoria_ingreso,$idconcepto_ingreso,$idpersona,$tipopago,$idbanco,$nro_operacion,$hora,$fechapago,$monto,$comprobante,$nrorecibo) {
     $fecha_hora = trim($fechapago) . ' ' . trim($hora);
      $sql = "INSERT INTO pago (idcontrato,idcuota,idaveria,idbanco,idusuario,idcliente,tipoingreso,idcaja,monto,fecha_pago,descripcion,correlativo_pago,nro_operacion,idcategoria_ingreso,idconcepto_ingreso,comprobante,cerrado,estado_facturacion) 
              VALUES ('0','0','0','$idbanco','$idusuario','$idpersona','$tipopago','$idcaja','$monto','$fecha_hora',
                     'Pago Ingreso','$nrorecibo','$nro_operacion','$idcategoria_ingreso','$idconcepto_ingreso',
                     '$comprobante','0','1')";
      return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idcategoria_ingreso,$nombre,$descripcion,$folio,$archivador,$condicion,$equivalencia) {
        $sql = "UPDATE categoria_ingreso SET 
                nombre = '$nombre', 
                descripcion = '$descripcion', 
                archivador = '$archivador',                 
                folio = '$folio',
                condicion='$condicion',
                equivalencia='$equivalencia'
                WHERE idcategoria_ingreso = '$idcategoria_ingreso'";
        return ejecutarConsulta($sql);
    }

    public function listarcategoriaingreso()
    {
      $sql=" SELECT * FROM categoria_ingreso where idcategoria_ingreso>0";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idcategoria_ingreso)
    {
      $sql="SELECT * FROM categoria_ingreso where idcategoria_ingreso='$idcategoria_ingreso'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idcategoria_ingreso)
    {
      $sql="DELETE FROM categoria_ingreso where idcategoria_ingreso=$idcategoria_ingreso'";
      return ejecutarConsulta($sql);
    }

    public function selectCategoriaIngreso()
    {
      $sql=" SELECT * FROM categoria_ingreso WHERE condicion='1' and idcategoria_ingreso>0";
      return ejecutarConsulta($sql);

    }



}


?>